<div class="row" data-toggle="collapse" data-target="#collapseForm" aria-expanded="false" aria-controls="collapseForm">
  <div class="col-10 col-md-5 my-2 mx-auto">
    <div class="row">
      <span class="col-2 fa fa-angle-down text-add-new my-auto"></span>
      <a class="col-8 p-1 text-center text-add-new">DODAJ</a>
      <span class="col-2 fa fa-angle-down text-add-new my-auto"></span>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-10 mx-auto my-2 border-top collapse" id="collapseForm">
    <form name="newBedding"
          (submit)="sendNewBedding()"
          id="newBedding"
    >
      <div class="form-row">
        <div class="form-group col-6 mx-auto mt-2 text-light text-center font-weight-bold">
          <label for="width">SZEROKOŚĆ</label>
          <input class="form-control text-center font-weight-bold p-2"
                 type="text"
                 id="width"
                 name="width"
                 form="newBedding"
                 placeholder="SZEROKOŚĆ"
                 [(ngModel)]="model.width"
                 maxlength="250"
          >
        </div>

        <div class="form-group col-6 mx-auto mt-2 text-light text-center font-weight-bold">
          <label for="height">DŁUGOŚĆ</label>
          <input class="form-control text-center font-weight-bold p-2"
                 type="text"
                 id="height"
                 name="height"
                 form="newBedding"
                 placeholder="DŁUGOŚĆ"
                 [(ngModel)]="model.height"
                 maxlength="250"
          >
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-6 mx-auto mt-2 text-light text-center font-weight-bold">
          <label for="pattern">WZÓR</label>
          <input class="form-control text-center font-weight-bold p-2"
                 type="text"
                 id="pattern"
                 name="pattern"
                 form="newBedding"
                 placeholder="WZÓR"
                 [(ngModel)]="model.pattern"
                 maxlength="250"
          >
        </div>
          <div class="form-group col-6 mx-auto mt-2 text-light text-center font-weight-bold">
            <label for="onStock">ILOŚĆ</label>
            <input class="form-control text-center font-weight-bold p-2"
                   type="text"
                   id="onStock"
                   name="onStock"
                   form="newBedding"
                   placeholder="ILOŚĆ"
                   [(ngModel)]="model.onStock"
                   maxlength="250"
            >
          </div>
      </div>
        <button type="submit"
                form="newBedding"
                class="btn btn-block bg-entity text-light font-weight-bold p-2"
        >
          <span>DODAJ</span>
        </button>
    </form>
  </div>
</div>

<div class="row">
  <input type="text"
         [(ngModel)]="searchText"
         class="form-control col-10 mx-auto text-center"
         placeholder="Szukaj"
         maxlength="250"
  >

</div>

<ul class="row" >
    <li class="col-10 col-md-5 mx-auto my-2 border-top" *ngFor="let group of getBeddingsGroups | groupBeddingSearchFilter:searchText" >


      <div class="row" data-toggle="collapse" [attr.data-target]="'#' + group.id" aria-expanded="false" [attr.aria-controls]="group.id">
        <span class="col-2 fa fa-angle-down fs-24 my-auto" ></span>

        <header class="col-8 p-1 text-center fs-24">
            {{ group.width }}x{{ group.height }}
        </header>

        <span class="col-2 fa fa-angle-down fs-24 my-auto"></span>
      </div>

      <div [ngClass]="searchText == null || searchText == '' ? 'collapse' : 'collapse show'" [id]="group.id">

        <div class="row m-1">
          <div class="col-6 p-1 text-center">
            WZÓR
          </div>
          <div class="col-6 p-1 text-center">
            ILOŚĆ
          </div>
        </div>

        <div class="row m-1 bg-entity rounded" *ngFor="let bedding of group.beddings" [id]="bedding.id" (click)="askUserForNewOnStock(bedding)" (press)="askForDelete(bedding)">

          <div class="col-6 p-1 border-right border-white text-center">
            {{ bedding.pattern }}
          </div>

          <div class="col-6 p-1 border-left border-white text-center">
            {{ bedding.onStock }}
          </div>

        </div>

      </div>


    </li>

</ul>
